from sanic import Blueprint
from .views import (
    GeoIpAsn,
    GeoIpLocation,
    GeoIpAll,
)

geoip_bp = Blueprint('geoip', url_prefix='geoip')

geoip_bp.add_route(GeoIpAsn.as_view(), 'asn/')
geoip_bp.add_route(GeoIpLocation.as_view(), 'location/')
geoip_bp.add_route(GeoIpAll.as_view(), 'all/')
